summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--docs/maintain/index.html5
-rwxr-xr-xresources/scripts/helpers/download/memtest86plus7
2 files changed, 12 insertions, 0 deletions
diff --git a/docs/maintain/index.html b/docs/maintain/index.html
index 5fa0cdb..feff7b3 100644
--- a/docs/maintain/index.html
+++ b/docs/maintain/index.html
@@ -558,6 +558,11 @@
</p>
<p>
+ In the download script for memtest86plus, make sure to update the checksum that it matches
+ for the downloaded source tarball.
+ </p>
+
+ <p>
<a href="#pagetop">Back to top of page</a>.
</p>
diff --git a/resources/scripts/helpers/download/memtest86plus b/resources/scripts/helpers/download/memtest86plus
index c478122..058119c 100755
--- a/resources/scripts/helpers/download/memtest86plus
+++ b/resources/scripts/helpers/download/memtest86plus
@@ -40,6 +40,13 @@ rm -Rf "memtest86+-5.01/"
# download it using wget
wget http://www.memtest.org/download/5.01/memtest86+-5.01.tar.gz
+if [ "$(sha512sum memtest86+-5.01.tar.gz | cut -c1-128)" = "d872db35ef733ec8f49094251f2bf6b98cc80eb06d04044be3aecf28d534f24ba293a08b9979b112dbd07cf27368148939a33a32c7010fc9581a3a5b150c94d7" ]; then
+ printf "Valid checksum for memtest86plus"
+else
+ printf "Invalid checksum for memtest86plus\n"
+ exit 1
+fi
+
# extract it
tar -xzf "memtest86+-5.01.tar.gz"